Skip to content

OLT Line Profile ​

5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
addLineProfilePOSTCreate new line profile
deleteLineProfilePOSTDelete an existing line profile
editLineProfilePOSTModify an existing line profile
getLineProfileListGETGet line profile list
getLineProfilePageGETGet line profile page

addLineProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/add

Create new line profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema LineProfileDTO

FieldTypeRequiredDescription
lineProfileIdintegeryesID of line profile should be within the range of 1 to 512 and should not be null
namestringnoThe name of the Line template, an optional configuration. If not configured by the user, it will be automatically generated by the device. Name should contain 1 to 32 characters including digits, upper and lower letters, and the following six characters: -@_😕. . It can be left empty; if empty, it will be assigned automatically by the device.
isSystemProfilebooleannoIsSystemProfile should be null, because it's generated by device.
isInUsebooleannoWhether the Line Profile is in use: if it is in use, deletion is not allowed. True indicates it is in use, while false indicates it is not in use. This field should not be provided
upstreamFECstringyesEnable/Disable Upstream FEC feature. UpstreamFEC should be a value as follows: DISABLE;ENABLE.
mappingModestringyesMapping method for the ONT. MappingMode should be a value as follows: VLAN, PRIORITY, VLAN_PRIORITY, PORT, PORT_VLAN, PORT_PRIORITY, PORT_VLAN_PRIORITY. Default value: VLAN.
omccEncryptstringnoWhether to enable OMCC encryption feature: when OMCC encryption is enabled, OMCI messages will be encrypted; otherwise, they will not be encrypted. OmccEncrypt should be a value as follows: ENABLE;DISABLE. Default value: ENABLE.
tcontNumintegernoThe number of T-conts created under this Line template is non-configurable.
gemPortNumintegernoThe number of gem ports created under this Line template is non-configurable.
json
// omada_call_operation
{
  "operationId": "addLineProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new line profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteLineProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/delete

Delete an existing line profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema IntIdListRequest

FieldTypeRequiredDescription
idsarray<integer>yesID list
json
// omada_call_operation
{
  "operationId": "deleteLineProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing line profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editLineProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/edit

Modify an existing line profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema LineProfileModifyDTO

FieldTypeRequiredDescription
lineProfileIdintegeryesLineProfileId should be within the range of 1 to 512
namestringnoThe name of the Line template, an optional configuration. If not configured by the user, it will be automatically generated by the device. Name should contain 1 to 32 characters including digits, upper and lower letters, and the following six characters: -@_😕. . It can be left empty; if empty, it will be assigned automatically by the device.
upstreamFECstringnoEnable/Disable Upstream FEC feature. UpStreamFEC should be a value as follows: DISABLE;ENABLE. Default value: DISABLE.
mappingModestringnoMapping method for the ONT. MappingMode should be a value as follows: VLAN, PRIORITY, VLAN_PRIORITY, PORT, PORT_VLAN, PORT_PRIORITY, PORT_VLAN_PRIORITY. Default value: VLAN.
omccEncryptstringnoWhether to enable OMCC encryption feature: when OMCC encryption is enabled, OMCI messages will be encrypted; otherwise, they will not be encrypted. OmccEncrypt should be a value as follows: ENABLE;DISABLE. Default value: DISABLE.
json
// omada_call_operation
{
  "operationId": "editLineProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing line profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getLineProfileList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/list

Get line profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryLineProfileListQueryDTOnoObject: its fields (searchKey, sorts, searchFields) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getLineProfileList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get line profile list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getLineProfilePage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/page

Get line profile page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryLineProfilePageQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getLineProfilePage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get line profile page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.